#ifndef DOF_RENUMBERING_H
#define DOF_RENUMBERING_H "$Header:$"
//--------------------------  dof_renumbering.h  ---------------------------
//  $Id: dof_renumbering.h,v 1.29 2003/04/18 18:21:40 guido Exp $
//  Version: $Name: Version-4-0-0 $
//
//  Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003 by the deal.II authors
//
//  This file is subject to QPL and may not be  distributed
//  without copyright and license information. Please refer
//  to the file deal.II/doc/license.html for the  text  and
//  further information on this license.
//
//--------------------------  dof_renumbering.h  ---------------------------
//
//modified from deal.II/deal.II/include/numerics/dof_renumbering.h
//  by John Trangenstein, August 2009
//**********************************************************************
// Copyright 2009 John A. Trangenstein
//
// This software is made available for research and instructional use 
// only. 
// You may copy and use this software without charge for these 
// non-commercial purposes, provided that the copyright notice and 
// associated text is reproduced on all copies.  
// For all other uses (including distribution of modified versions), 
// please contact the author at
//   John A. Trangenstein
//   Department of Mathematics
//   Duke University
//   Durham, NC 27708-0320
//   USA
// or
//   johnt@math.duke.edu
// 
// This software is made available "as is" without any assurance that it
// is completely correct, or that it will work for your purposes.  
// Use the software at your own risk.
//**********************************************************************

#include <vector>
#include "DofHandler.H"

//compare to DEAL DoFRenumbering
void cuthillMcKeeRenumbering(DofHandler&,bool=false,bool=false,
  const vector<int> & =vector<int>());

#endif
