#ifndef CONDITION_NUMBER_H
#define CONDITION_NUMBER_H "$Header:$"
//**********************************************************************
// Copyright 2009 John A. Trangenstein
//
// This software is made available for research and instructional use 
// only. 
// You may copy and use this software without charge for these 
// non-commercial purposes, provided that the copyright notice and 
// associated text is reproduced on all copies.  
// For all other uses (including distribution of modified versions), 
// please contact the author at
//   John A. Trangenstein
//   Department of Mathematics
//   Duke University
//   Durham, NC 27708-0320
//   USA
// or
//   johnt@math.duke.edu
// 
// This software is made available "as is" without any assurance that it
// is completely correct, or that it will work for your purposes.  
// Use the software at your own risk.
//**********************************************************************

#include "SolverArrays.H"
#include "Types.H"

REAL symmetricConditionNumber(const SolverMatrix&,int=INT_MAX);
REAL unSymmetricConditionNumber(const SolverMatrix&,int=INT_MAX);

#endif
