# "$Header: /home/faculty/johnt/cvs/gnu/duke.math.gnu,v 1.7 2003/10/15 11:45:36 johnt Exp $"

#OS_VERSION = $(shell grep Linux /etc/issue | cut -d" " -f5)

#C++ = g++ -fno-implicit-templates -Wnon-virtual-dtor -Woverloaded-virtual -Wold-style-cast -g -MMD
#C++ = g++ -fno-implicit-templates -Wnon-virtual-dtor -Woverloaded-virtual -g -MMD
C++ = g++ -Wnon-virtual-dtor -Woverloaded-virtual -g -MMD
#CC = gcc -g -MMD
CC = gcc -g -MMD
FC = gfortran -fsecond-underscore
#FC = gfortran
#FC = fort77
DSO = $(C++)
M4 = m4
LINK.C = $(C++)
DEBUGFLAGS = -fno-implicit-templates -fno-default-inline
DEBUGFFLAGS = -g -u -Wunused -Werror
#DEBUGFFLAGS = -g -u -pedantic-errors -fsecond-underscore -Wunused -Wsurprising -Werror 
OPTFLAGS = -O3
#OPTFFLAGS = -u -O3 -g -k
OPTFFLAGS = -O3 -g -Wall
DSO_FLAGS = -shared
M4FLAGS =
MEMFLAGS = -DMEM_DEBUG=1
#ifeq ($(OS_VERSION),7.3)
  X11DIR = /usr/X11R6/Mesa/lib -L/usr/X11R6/lib -L/usr/lib
  XMINCDIR = /usr/X11R6/Mesa/include -I/usr/X11R6/include
  MPIINCDIR = /usr/include
  MPIDIR = /usr/lib
  GTKINCDIR = /usr/include/gtk-2.0 -I /usr/lib/gtk-2.0/include
  GDKINCDIR = /usr/include/gtk-2.0 -I /usr/include/cairo
  GLIBINCDIR = /usr/include/glib-2.0 -I /usr/lib/glib-2.0/include
  SIGCINCDIR = /usr/include
  PANGOINCDIR = /usr/include/pango-1.0
  ATKINCDIR = /usr/include/atk-1.0
  GTKGLINCDIR = /usr/include/gtkglext-1.0 -I /usr/lib/gtkglext-1.0/include
  GLLIBS = -lGLU -lGL
  XMLIBS = -lXm
  XTLIBS = -lXt
  XLIBS = -lXext -lX11 -lXpm
  GDKLIBS = -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0  -lglib-2.0 -lgdkglext-x11-1.0 -lgthread -lglib
  ATKLIBS =-latk-1.0
  PANGOLIBS = -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0
  GTKLIBS = -lgtk-x11-2.0 -lgtkglext-x11-1.0
#endif
LIBS = -lgfortran -lpthread
#LIBS = -lgfortran -lpthread
#LIBS = -lf2c -lmpe -lmpich -lpmpich -lpthread

#GLIBS = -L$(X11DIR) $(GTKLIBS) $(PANGOLIBS) $(ATKLIBS) $(GDKLIBS) $(GLLIBS) $(XMLIBS) $(XTLIBS) $(XLIBS)
GLIBS = -L$(X11DIR) $(GLLIBS) $(XMLIBS) $(XTLIBS) $(XLIBS)
SLIBS = $(GLIBS) $(LIBS)
