#!/usr/bin/perl -w
# "$Header:$"

sub setI686 {
# print "in setI686\n";
# print "USE_GTK = " . $USE_GTK . "\n";
# &setOSVersion;
  my($MACHINE_NAME)=hostname();

# $CPLUSPLUS = "g++ -fno-implicit-templates -Wnon-virtual-dtor -Woverloaded-virtual -g -MMD";
  $CPLUSPLUS = "g++ -Wnon-virtual-dtor -Woverloaded-virtual -g -MMD";
  $CC = "gcc -g -MMD";
# $FC = "g77";
  $FC = "gfortran";
  $DSO = "g++";
  $M4 = "m4";
  $RM = "rm";
  $LINKC = "g++" ;
# $DEBUGFLAGS = "-fno-implicit-templates";
# $DEBUGFLAGS = "-fno-default-inline";
  $DEBUGCPPFLAGS = "-fno-implicit-templates -fno-default-inline";
  $DEBUGFCLAGS = "";
# $DEBUGFFLAGS = "-g -u -pedantic-errors -Wno-globals -Wimplicit -Wunused -Wsurprising -Werror";
  $DEBUGFFLAGS = "-g -u -pedantic-errors -fsecond-underscore -fimplicit-none -Wsurprising -Werror";
  $OPTCFLAGS = "-O3";
  $OPTCPPFLAGS = "-O3";
  $OPTFFLAGS = "-O3 -g -Wall";
  $DSO_FLAGS = "";
# $DSO_FLAGS = "-shared";
  $M4FLAGS = "";
  $MEMFLAGS = "-DMEM_DEBUG=1";
# print "OS_VERSION = " , $OS_VERSION , "\n";
# if ($OS_VERSION eq "9") { 
#   $X11DIR = "/usr/X11R6/Mesa/lib -L/usr/X11R6/lib -L/usr/lib";
#   $XMINCDIR = "/usr/X11R6/Mesa/include -I/usr/X11R6/include";
    $X11DIR = "/usr/lib/openmotif -L/usr/X11R6/lib -L/usr/lib";
    $XMINCDIR = "/usr/include/openmotif -I/usr/X11R6/include";
    $MPIINCDIR = "/usr/include/openmpi -I/usr/include/openmpi/openmpi/ompi/mpi/cxx";
    $MPIDIR = "/usr/lib/openmpi";
    $GTKINCDIR = "/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include";
    $GDKINCDIR = "/usr/include/gtk-2.0 -I/usr/include/cairo";
    $GLIBINCDIR = "/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include";
    $SIGCINCDIR = "/usr/include";
    $PANGOINCDIR = "/usr/include/pango-1.0";
    $ATKINCDIR = "/usr/include/atk-1.0";
    $GTKGLINCDIR = "/usr/include/gtkglext-1.0 -I/usr/lib/gtkglext-1.0/include";
    $GLLIBS = " -lGLU -lGL";
    $XMLIBS = " -lXm";
    $XTLIBS = " -lXt";
    $XLIBS = " -lXext -lX11 -lXpm";
    $MPILIBS = " -L" . $MPIDIR . " -lmpi -lorte -lopal -lmpi_cxx";
#   $GDKLIBS = " -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0  -lglib-2.0 -lgdkglext-x11-1.0 -lgthread -lglib";
    $GDKLIBS = " -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0  -lglib-2.0 -lgdkglext-x11-1.0";
    $ATKLIBS = " -latk-1.0";
    $PANGOLIBS = " -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0";
    $GTKLIBS = " -lgtk-x11-2.0 -lgtkglext-x11-1.0";
# }
# if ($MACHINE_NAME eq "donau") {
#   $LIBS = "-lgfortran " .  $MPIDIR ."/libpmpich++.a " .  $MPIDIR . "/liblmpe.a " . $MPIDIR ."/libmpich.a " . $MPIDIR ."/libmpe.a -lpthread";
    $LIBS = "-lgfortran -lpthread -llapack -lblas";
# } else {
#   $LIBS = "-lgfortran " .  $MPIDIR ."/libmpich.a " . $MPIDIR ."/libpmpich.a -lpthread";
# }
  if ($USE_GTK eq "1") {
    $GLIBS = "-L" . $X11DIR . $GTKLIBS . $PANGOLIBS . $ATKLIBS . $GDKLIBS . $GLLIBS;
  } else {
    $GLIBS = "-L" . $X11DIR . $GLLIBS . $XMLIBS . $XTLIBS . $XLIBS;
  }
  $SLIBS = $GLIBS . " " . $LIBS;
}

1;
